Starmade | creative mode hotbar doesn't allow you to remove items
Closed, FinishedPublic


Dragging items already on your hotbar into open space or to your inventory menu does not remove it from that slot. The game only allows you to override the slot with a new item by dragging another on that spot.

Perhaps this isn't a bug but it makes using the system a little bit harder once your hotbar is fully filled with items.
I suggest that:

  1. shift clicking an item on a hotbar will remove it from that spot (in creative mode)
  2. dragging an item from the hotbar to empty space/inventory menu/anywhere else also removes it from that hotbar slot.


Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19604 (Dev)
Issue Type
Ingame GUI/HUD
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Oct 2 2015, 7:49 PM
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptOct 2 2015, 7:49 PM
SmilingDemon triaged this task as "Low" priority.Oct 2 2015, 9:51 PM
SmilingDemon added a project: Starmade.
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
SmilingDemon set Issue Type to Bug.
SmilingDemon set Category to Ingame GUI/HUD.
SmilingDemon set Affected Gamemode(s) to Single and Multi.
SmilingDemon set Reproducible to Yes.
SmilingDemon set OS-Specific to No.
SmilingDemon set Hardware-Specific to No.
SmilingDemon set Video Card Vendor to uncertain.
SmilingDemon removed SmilingDemon as the assignee of this task.
SmilingDemon added a subscriber: SmilingDemon.


Chandler claimed this task.EditedOct 2 2015, 10:06 PM
Chandler added a subscriber: Chandler.

I have noticed this as well, i don't thing this is a bug however. But I can confirm this is the case. One cant get rid of it even by dropping it in the trash.

Chandler lowered the priority of this task from "Low" to "Trivial".Oct 2 2015, 10:11 PM
Chandler changed Issue Type from Bug to Feature.

Perhaps the Dev's could fine tune this area?

Chandler changed the task status from "Open" to "In Queue (Game)".Oct 2 2015, 10:23 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 4:15 PM
schema added a subscriber: schema.

Dropping in trash works.
Dragging out of your hotbar in open space, or shift clicking it doesn't.

Don't know if that's the desired result or not though.

was the desired result for now

lancake closed this task as "Closed".

-QA Testing-

Fix confirmed then.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 15 2016, 12:06 PM
lancake set Last tested (version) to 0.19604 (Dev).Mar 15 2016, 12:06 PM

Add Comment